CREATE TABLE cz_ui_conditions (
    UI_CONDITION_ID            NUMBER(18, 0),
    VERSIONED_OBJECT_ID        NUMBER(18, 0)    NOT NULL,
    VERSIONED_OBJECT_TYPE      VARCHAR2(120)    NOT NULL,
    START_OBJECT_VERSION       NUMBER(18, 0),
    END_OBJECT_VERSION         NUMBER(18, 0),
    UI_COND_SOURCE_OBJ_TYPE    VARCHAR2(120)    NOT NULL,
    UI_ID                      NUMBER(18, 0),
    UI_CONDITION_TYPE          VARCHAR2(200)    NOT NULL,
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)     NOT NULL,
    DELETED_FLAG               NUMBER(18, 0)    NOT NULL,
    CREATED_BY                 VARCHAR2(256)    NOT NULL,
    CREATION_DATE              TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128),
    UI_CONDITION_ID            NUMBER(18, 0),
    VERSIONED_OBJECT_ID        NUMBER(18, 0)    NOT NULL,
    VERSIONED_OBJECT_TYPE      VARCHAR2(120)    NOT NULL,
    START_OBJECT_VERSION       NUMBER(18, 0),
    END_OBJECT_VERSION         NUMBER(18, 0),
    UI_COND_SOURCE_OBJ_TYPE    VARCHAR2(120)    NOT NULL,
    UI_ID                      NUMBER(18, 0),
    UI_CONDITION_TYPE          VARCHAR2(200)    NOT NULL,
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)     NOT NULL,
    DELETED_FLAG               NUMBER(18, 0)    NOT NULL,
    CREATED_BY                 VARCHAR2(256)    NOT NULL,
    CREATION_DATE              TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128),
    CONSTRAINT pk_cz_ui_conditions PRIMARY KEY (UI_CONDITION_ID, START_OBJECT_VERSION, UI_CONDITION_ID, START_OBJECT_VERSION)
);
